# $Revision: 1.52 $, $Date: 2009/11/16 23:27:45 $
# TODO:
# - fix build with libtool-2
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Truetype font rasterizer
Summary(pl.UTF-8):	Rasteryzer fontów Truetype
Name:		freetype1
Version:	1.3.1
Release:	14
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.freetype.org/freetype/freetype1/freetype-%{version}.tar.gz
# Source0-md5:	9a9e7ad00c1ef6dfbf8f8e19ceefb300
Patch0:		freetype-DESTDIR.patch
Patch1:		freetype-autoconf.patch
Patch2:		%{name}-po.patch
Patch3:		freetype-gcc33.patch
Patch4:		%{name}-parallel-make.patch
Patch5:		%{name}-link.patch
URL:		http://freetype.sourceforge.net/freetype1/index.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The FreeType engine is a free and portable TrueType font rendering
engine. It has been developed to provide TrueType support to a great
variety of platforms and environments.

Note that FreeType is a *library*. It is not a font server for your
favorite platform, even though it was designed to be used in many of
them. Note also that it is *not* a complete text-rendering library.
Its purpose is simply to open and manage font files, as well as load,
hint and render individual glyphs efficiently. You can also see it as
a "TrueType driver" for a higher-level library, though rendering text
with it is extremely easy, as demo-ed by the test programs.

%description -l pl.UTF-8
FreeType jest biblioteką służącą do rasteryzacji fontów TrueType. Jest
to jedynie biblioteka, a nie serwer fontów, chociaż została ona
zaprojektowana do używania także w takich serwerach. Nie jest to też
kompletna biblioteka do rasteryzacji tekstu. Jej celem jest tylko
odczytywanie i zarządzanie plikami z fontami oraz wczytywanie i
wykonywanie hintingu i rasteryzacji poszczególnych glifów. Może być
także uważana za "sterownik TrueType" dla bibliotek wyższego poziomu,
jednak użycie samej biblioteki FreeType do rasteryzacji jest bardzo
proste, co można zobaczyć w programach demonstracyjnych.

%package devel
Summary:	Header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki freetype i dokumentacja
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	freetype-devel = %{version}

%description devel
This package includes the header files documentations and libraries
necessary to develop applications that use freetype.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe oraz biblioteki niezbędne przy
kompilowaniu programów wykorzystujących bibliotekę freetype.

%package static
Summary:	Freetype static libraries
Summary(pl.UTF-8):	Biblioteki statyczne freetype
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	freetype-static = %{version}

%description static
Static freetype libraries.

%description static -l pl.UTF-8
Biblioteki statyczne freetype.

%package progs
Summary:	Freetype library utilities
Summary(pl.UTF-8):	Programy użytkowe freetype
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Provides:	freetype-progs = %{version}
Obsoletes:	freetype-utils
Obsoletes:	freetype-tools

%description progs
Freetype library utilites:
- ftimer - a simple performance timer for the engine,
- fzoom - very simple glyph viewer,
- ftlint - program will hint each glyph of a font file, at a given
  point size,
- ftwiew - display all glyphs in a given font, applying hinting to
  each one,
- fdump - a simple TrueType font or collection dumper,
- ftstring - a simple program to show off string text generation.
- ftstrpn - convert a rendered text string into the PGM or PBM format,
- fterror - small test program. Tests the gettext() functionality for
  internationalized messages.

%description progs -l pl.UTF-8
Przykładowe aplikacje wykorzystujące freetype:
- ftimer - narzędzie mierzące szybkość silnika
- fzoom - prosta przeglądarka glifów
- ftlint - program robiący hinting każdego glifu z fontu przy podanym
  rozmiarze
- ftview - program wyświetlający z hintingiem wszystkie glify z fontu
- fdump - narzędzie zrzucające dane z fontu lub zestawu fontów TT
- ftstring - prosty program obrazujący generowanie tekstu
- ftstrpn - konwerter zrenderowanego tekstu na format PGM/PBM
- fterror - prosty program testujący działanie gettext() w
  zlokalizowanych komunikatach.

%prep
%setup -q -n freetype-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
install /usr/share/automake/missing .
%{__gettextize}
# gettextize stupidity (doesn't see intl/Makefile in next lines after AC_OUTPUT)
sed -e 's@\(AC_OUTPUT.*\) intl/Makefile@\1@' configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	%{?with_static_libs:--enable-static} \
        --with-gnu-ld
%{__make}

cd contrib
# ttf2pfb ttf2pk don't build
for bdir in ttf2bdf ttfbanner; do
	cd $bdir
	%{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	%configure
	%{__make} -j1
	cd ..
done

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang freetype

# resolve conflict with freetype-demos-2.*
mv -f $RPM_BUILD_ROOT%{_bindir}/{ftdump,ft1dump}
mv -f $RPM_BUILD_ROOT%{_bindir}/{ftlint,ft1lint}
mv -f $RPM_BUILD_ROOT%{_bindir}/{ftview,ft1view}
mv -f $RPM_BUILD_ROOT%{_bindir}/{fttimer,ft1timer}

for bdir in ttf2bdf ttfbanner; do
	%{__make} install -C contrib/$bdir \
		DESTDIR=$RPM_BUILD_ROOT
done

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f freetype.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libttf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libttf.so.2

%files devel
%defattr(644,root,root,755)
%doc howto/unix.txt README announce docs/{*.txt,FAQ,TODO,credits}
%attr(755,root,root) %{_libdir}/libttf.so
%{_libdir}/libttf.la
%{_includedir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/f*
%attr(755,root,root) %{_bindir}/ttf*
%{_mandir}/man1/ttf2bdf.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freetype1.spec,v $
Revision 1.52  2009/11/16 23:27:45  zbyniu
- build/package to -progs ttf2bdf and ttfbanner from contrib/; rel 14

Revision 1.51  2009/10/08 15:07:41  qboosh
- added link patch to avoid pulling additional xorg deps (SM and ICE)

Revision 1.50  2009/06/17 15:09:32  hawk
- release 13

Revision 1.49  2009/04/11 14:20:50  adamg
- fix build with make -jX

Revision 1.48  2009/01/09 22:11:41  pawelz
- rel 12

Revision 1.47  2009/01/09 22:10:42  pawelz
- fixes in %%files section

Revision 1.46  2008/06/22 17:19:27  charles
- new URL
- added TODO and without static_libs bcond

Revision 1.45  2008/06/03 07:20:39  charles
- modular xorg deps

Revision 1.44  2007-02-13 07:16:44  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.42  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.41  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.40  2004/04/26 15:22:54  adamg
- release 11 for Ac (10 is for Ra)

Revision 1.39  2003/09/01 21:11:58  ankry
- po encoding/header fixes

Revision 1.38  2003/08/18 08:08:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.37  2003/06/27 12:39:37  radzio
- add patch3 (freetype-gcc33)

Revision 1.36  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.35  2003/05/25 05:47:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/05/13 09:26:34  qboosh
- added workaround for new gettext, builds now

Revision 1.33  2003/03/04 12:47:23  trojan
- added po.patch

Revision 1.32  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.31  2002/10/11 09:08:18  qboosh
- more conflicts between -progs and freetype-demos-2.* resolved; release 10

Revision 1.30  2002/10/10 07:57:50  qboosh
- resolved conflict between -progs and freetype-demos-2.*; release 9

Revision 1.29  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.28  2002/07/22 13:31:37  qboosh
- removed Provides: freetype from base package (evil - confuses poldek)
- fixed pl description
- release 8

Revision 1.27  2002/07/19 19:30:41  qboosh
- added Provides: freetype* = %{version}, new %doc, release 7

Revision 1.26  2002/06/23 20:52:49  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.25  2002/06/23 20:32:23  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.24  2002/05/21 23:13:02  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/04/25 16:19:44  arturs
- fixed a small typo

Revision 1.22  2002/04/21 22:49:11  kloczek
- bump to release 6 (fix broken ft1 packages on ppc).

Revision 1.21  2002/04/16 16:44:01  mmazur
- back to the old freetype1

Revision 1.20  2002/04/13 20:48:27  mmazur
- changed freetype1 header files directory... so needed to fix a few
  packages; rel++; STBR
- NOTE: this is needed for mozilla to build correctly (not to conflict
  with freetype1)
- NOTE2: not one binary file was altered since the previous release

Revision 1.19.2.2  2002/04/12 11:45:08  misiek
- fix LOCALEDIR; release 5

Revision 1.19.2.1  2002/04/10 15:07:43  mmazur
- changed /usr/include/freetype to /usr/include/freetype1/freetype

Revision 1.19  2002/04/06 21:16:43  qboosh
- removed ttmkfdir, nospaces patch is out, foundrynames patch moved to
  ttmkfdir package (which is rather obsoleted though - by ttmkfdir2)
- release 4

Revision 1.18  2002/03/27 11:33:43  roman
s/BSDish/BSD-like in License

Revision 1.17  2002/03/27 10:37:16  roman
- License: BSD like --> License: BSDish

Revision 1.16  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/02 20:10:01  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.13  2002/02/01 00:25:20  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.12  2002/01/18 02:12:58  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2002/01/03 09:52:21  ankry
- updated Source URL

Revision 1.10  2002/01/02 22:55:42  kloczek
- release 3: freetype-tools added to Obsoletes for allow upgrade from MDK.

Revision 1.9  2001/06/04 15:00:18  kloczek
- release 2: added autoconf, automake and libtool to BuildRequires.

Revision 1.8  2001/06/04 14:41:11  baggins
- added libtoolize to %build

Revision 1.7  2001/05/02 00:42:08  qboosh
- adapterized and made spec %debug ready or using %rpm*flags macros

Revision 1.6  2001/03/19 12:55:56  kloczek
- fixed using %find_lang (pass freetype name).

Revision 1.5  2001/03/19 12:13:55  kloczek
- fixed %setup.

Revision 1.4  2001/03/19 12:01:58  kloczek
- also fixes patches file names.

Revision 1.3  2001/03/19 12:00:12  kloczek
- also fixed Source url.

Revision 1.2  2001/03/19 11:57:12  kloczek
- realy rename.
